Page MenuHomePhabricator

Upgrade gerrit to 2.15.6
Closed, ResolvedPublic

Description

See release notes at 2.15.x release notes

Over 297 commits between 2.15.3 and 2.15.6

Fixes we want:

  • Fixes support for Microsoft Edge in PolyGerrit.
  • Fixes WIP event so it works again on current patchset.
    • We will be able to use WIP event in wikibugs again.
  • Fixes a issue that prevented 'Ready'/'Start Review' from showing in PolyGerrit if the change belonged to someone else.
  • Fixes the Delete Branch permission check in the REST endpoint.

(not needed by us) but this changes the way search is shown for users.
"Modify search autocompletion to include only email."
This means it will show users email not "<Username> <email>"

  • Also updating its-phabricator will drop the deprecated Phabricator conduit api.

Details

Related Gerrit Patches:
operations/software/gerrit : deploy/wmf/stable-2.15Gerrit 2.15.6 release

Event Timeline

Paladox created this task.Sep 29 2018, 8:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2018, 8:30 PM
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Sep 29 2018, 8:30 PM
Paladox updated the task description. (Show Details)Sep 29 2018, 8:33 PM
Paladox updated the task description. (Show Details)Sep 29 2018, 9:36 PM
D3r1ck01 added a subscriber: D3r1ck01.
Paladox updated the task description. (Show Details)Oct 1 2018, 12:30 AM
Paladox updated the task description. (Show Details)Oct 1 2018, 8:16 PM
Paladox updated the task description. (Show Details)Oct 3 2018, 6:58 PM
This comment was removed by Paladox.
Paladox triaged this task as High priority.Oct 6 2018, 9:04 PM
Paladox added a parent task: Restricted Task.

Per priority of linked parent task.

Paladox renamed this task from Upgrade gerrit to 2.15.4 to Upgrade gerrit to 2.15.5.Oct 8 2018, 3:58 PM
Paladox renamed this task from Upgrade gerrit to 2.15.5 to Upgrade gerrit to 2.15.6.Oct 24 2018, 9:38 AM

Change 472003 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/gerrit@deploy/wmf/stable-2.15] Gerrit 2.15.6 release

https://gerrit.wikimedia.org/r/472003

Paladox renamed this task from Upgrade gerrit to 2.15.6 to Upgrade gerrit to 2.15.7.Nov 10 2018, 5:54 PM
hashar renamed this task from Upgrade gerrit to 2.15.7 to Upgrade gerrit to 2.15.6.Nov 12 2018, 9:01 AM
hashar updated the task description. (Show Details)

2.15.7 has not be cut yet. We will proceed with 2.15.6 (have to schedule it)

@Paladox mentioned that 2.15.7 is to be cut this Monday, the first day of Gerrit hackathon (ref: https://gerrit-review.googlesource.com/c/homepage/+/203612/2#message-5970b893ff591c8906bebff7d50045c671106065 )

Changes since v2.15.6 https://github.com/GerritCodeReview/gerrit/compare/v2.15.6...stable-2.15

Mostly related to Bazel build and ElasticSearch. There are a few security issues as well.

Paladox renamed this task from Upgrade gerrit to 2.15.6 to Upgrade gerrit to 2.15.7.Nov 12 2018, 10:12 PM

Change 472003 merged by Hashar:
[operations/software/gerrit@deploy/wmf/stable-2.15] Gerrit 2.15.6 release

https://gerrit.wikimedia.org/r/472003

hashar renamed this task from Upgrade gerrit to 2.15.7 to Upgrade gerrit to 2.15.6.Nov 13 2018, 5:41 PM
hashar closed this task as Resolved.
hashar assigned this task to thcipriani.

We went with Gerrit 2.15.6 since all the preparation work has been done already and it was deemed stable for production deployment.

We can surely do 2.15.7 soonish, lets wait a few more days for others to catch up potential issue :)

Thanks @Paladox for the help!